# NX 2412
# Journal created by antoi on Mon Nov 24 10:30:54 2025 Eastern Standard Time
#
import math
import NXOpen
import NXOpen.CAE
def main(args) : 

    theSession  = NXOpen.Session.GetSession() #type: NXOpen.Session
    workSimPart = theSession.Parts.BaseWork
    displaySimPart = theSession.Parts.BaseDisplay
    markId1 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Visible, "Start")
    
    theSession.SetUndoMarkName(markId1, "Solver Parameters Dialog")
    
    markId2 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Invisible, "Solver Parameters")
    
    theSession.DeleteUndoMark(markId2, None)
    
    markId3 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Invisible, "Solver Parameters")
    
    simSimulation1 = workSimPart.FindObject("Simulation")
    simSolution1 = simSimulation1.FindObject("Solution[Solution 1]")
    propertyTable1 = simSolution1.SolverOptionsPropertyTable
    
    propertyTable1.SetBooleanPropertyValue("solution monitor", False)
    
    theSession.DeleteUndoMark(markId3, None)
    
    theSession.SetUndoMarkName(markId1, "Solver Parameters")
    
    # ----------------------------------------------
    #   Menu: Tools->Automation->Journal->Stop Recording
    # ----------------------------------------------
    
if __name__ == '__main__':
    main(sys.argv[1:])